import * as $dara from '@darabonba/typescript';
import { ModifyImageRegistryResponseBody } from "./ModifyImageRegistryResponseBody";
export declare class ModifyImageRegistryResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyImageRegistryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
